• Register
Welcome to Minecraft Help - Questions & Answers

Here you can ask Minecraft related questions or help other players by answering their questions.
Community driven website maintained by Minecraft Servers - A list with thousands of playable servers for Minecraft.

We recommend Mojangs new official bug tracker, letting them know about errors, will help speed up development to close bugs. Visit at Minecraft Bug Tracker
  • Minecraft Skins
  • Minecraft Videos
  • An update to your launcher is available and is required to play 1.7.2. Please restart your launcher.

    +2 votes
    it gives me this error when i try to launh the game :

    An update to your launcher is available and is required to play 1.7.2. Please restart your launcher.

    i restart my game but nothing happens, even if i restart my pc
    asked Oct 29, 2013 in Minecraft Bugs by Madalin Radu (140 points)
      

    1 Answer

    +1 vote
    Delete your launcher and download the new one from minecraft.net

    Tell me if it works :)
    answered Nov 11, 2013 by CookieStinson (1,610 points)